package cn.com.qmth.examcloud.core.oe.student.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @author  	chenken
 * @date    	2018年8月13日 下午3:18:45
 * @company 	QMTH
 * @description ExamStudentInfo.java
 */
public class ExamStudentInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6364550318267288565L;

	private Long examStudentId;//考试报考ID
	
	private Long examId;//网考批次ID
	
	private String examName;//批次名称
	
	private String studentName;//考生名称
	
	private String studentCode;//考生学号
	
	private String identityNumber;//身份证号码
	
	private String specialtyName;//专业名称
	
	private String specialtyLevel;//层次
	
	private Long courseId;//课程ID
	
	private String courseName;//课程名称
	
	private String courseCode;//课程代码
	
	private String courseLevel;//课程层次
	
	private Long orgId;//学校中心ID
	
	private String orgName;//学习中心名称
	
	private String isPhotoUpload;//是否上传照片
	
	private int paperMins;//考试时长
	
	private int allowExamCount;//允许考试次数
	
	private Date startTime;//考试时间范围开始时间
	
	private Date endTime; //考试时间范围结束时间
	
	private Long rootOrgId;//机构ID
	
	private String isFinished;//是否缺考
	
	/**
	 * 考试状态
	 */
	private String examStatus;

	/**
	 * 是否有效
	 */
	//private Boolean isvalid;
	/**
	 * 是否启用人脸识别
	 */
	private Boolean faceEnable;
	/**
	 * 进入考试是否验证人脸识别(强制、非强制)
	 */
	private Boolean faceCheck;
	
	/**
	 * 是否显示客观分
	 */
	private Boolean isObjScoreView;


	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	
	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getSpecialtyLevel() {
		return specialtyLevel;
	}

	public void setSpecialtyLevel(String specialtyLevel) {
		this.specialtyLevel = specialtyLevel;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}


	public String getIsPhotoUpload() {
		return isPhotoUpload;
	}

	public void setIsPhotoUpload(String isPhotoUpload) {
		this.isPhotoUpload = isPhotoUpload;
	}

	public int getPaperMins() {
		return paperMins;
	}

	public void setPaperMins(int paperMins) {
		this.paperMins = paperMins;
	}

	public int getAllowExamCount() {
		return allowExamCount;
	}

	public void setAllowExamCount(int allowExamCount) {
		this.allowExamCount = allowExamCount;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getIsFinished() {
		return isFinished;
	}

	public void setIsFinished(String isFinished) {
		this.isFinished = isFinished;
	}

	public String getExamStatus() {
		return examStatus;
	}

	public void setExamStatus(String examStatus) {
		this.examStatus = examStatus;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	/*public Boolean getIsvalid() {
		return isvalid;
	}

	public void setIsvalid(Boolean isvalid) {
		this.isvalid = isvalid;
	}*/

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Boolean getFaceEnable() {
		return faceEnable;
	}

	public void setFaceEnable(Boolean faceEnable) {
		this.faceEnable = faceEnable;
	}

	public Boolean getFaceCheck() {
		return faceCheck;
	}

	public void setFaceCheck(Boolean faceCheck) {
		this.faceCheck = faceCheck;
	}

	public Boolean getIsObjScoreView() {
		return isObjScoreView;
	}

	public void setIsObjScoreView(Boolean isObjScoreView) {
		this.isObjScoreView = isObjScoreView;
	}
	
}

