package cn.com.qmth.examcloud.core.oe.student.bean;

import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class GetUpyunSignatureReq implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3761016079101373608L;
	@NotNull(message = "考试记录DataID不能为空")
	@ApiModelProperty(required = true,value = "考试记录DataID")
	private Integer examRecordDataId;
	@NotNull(message = "题号不能为空")
	@ApiModelProperty(required = true,value = "考试试题号")
	private Integer order;
	@NotNull(message = "文件MD5不能为空")
	@ApiModelProperty(required = true,value = "文件MD5")
	private String fileMd5;
	@NotNull(message = "文件后缀不能为空")
	@ApiModelProperty(required = true,value = "文件后缀")
	private String fileSuffix;
	@ApiModelProperty(value = "文件名自定义参数")
	private String ext;

	public Integer getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Integer examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Integer getOrder() {
		return order;
	}
	public void setOrder(Integer order) {
		this.order = order;
	}
	public String getFileMd5() {
		return fileMd5;
	}
	public void setFileMd5(String fileMd5) {
		this.fileMd5 = fileMd5;
	}
	public String getFileSuffix() {
		return fileSuffix;
	}
	public void setFileSuffix(String fileSuffix) {
		this.fileSuffix = fileSuffix;
	}
	public String getExt() {
		return ext;
	}
	public void setExt(String ext) {
		this.ext = ext;
	}
	
}
