package cn.com.qmth.examcloud.core.oe.student.bean;


import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月27日 下午3:45:58
 * @company 	QMTH
 * @description 客观分信息
 */
public class ObjectiveScoreInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 3722050952090373601L;

	/**
	 * 考试记录ID
	 */
	private Long examRecordDataId;
	
	/**
	 * 客观分总分
	 */
	private Double objectiveScore;
	
	/**
	 * 第几次考
	 */
	private Integer examOrder;
	
	/**
	 * 开始时间
	 */
	private Date startTime;
	
	/**
	 * 交卷时间
	 */
	private Date endTime;
	
	/**
	 * 是否待审核
	 */
	private Boolean isAuditing;
	
	/**
	 * 是否违纪
	 */
	private Boolean isIllegality;

	/**
	 * 考试是否已结束
	 */
	private Boolean isExamEnded;

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Integer getExamOrder() {
		return examOrder;
	}

	public void setExamOrder(Integer examOrder) {
		this.examOrder = examOrder;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Boolean getIsAuditing() {
		return isAuditing;
	}

	public void setIsAuditing(Boolean isAuditing) {
		this.isAuditing = isAuditing;
	}

	public Boolean getIsIllegality() {
		return isIllegality;
	}

	public void setIsIllegality(Boolean isIllegality) {
		this.isIllegality = isIllegality;
	}

	public Boolean getIsExamEnded() {
		return isExamEnded;
	}

	public void setIsExamEnded(Boolean examEnded) {
		isExamEnded = examEnded;
	}
}
