package cn.com.qmth.examcloud.core.oe.student.bean;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月7日 上午10:23:19
 * @company 	QMTH
 * @description 答题情况统计
 */
public class PracticeDetailInfo implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1712307616138306152L;

	private Long id;

	private String courseName;

	private String courseCode;
	/**
	 * 客观题正确率
	 */
	private double objectiveAccuracy;
	
	private List<PaperStructInfo> paperStructInfos;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public double getObjectiveAccuracy() {
		return objectiveAccuracy;
	}

	public void setObjectiveAccuracy(double objectiveAccuracy) {
		this.objectiveAccuracy = objectiveAccuracy;
	}

	public List<PaperStructInfo> getPaperStructInfos() {
		return paperStructInfos;
	}

	public void setPaperStructInfos(List<PaperStructInfo> paperStructInfos) {
		this.paperStructInfos = paperStructInfos;
	}

}
