package cn.com.qmth.examcloud.core.oe.student.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class PracticeRecordInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -5420413503946583744L;

	private Long id;

	private String examName;

	private String courseName;

	private String courseCode;

	private Date startTime;

	private Date endTime;

	/**
	 * 考生考试使用的考试时长
	 */
	private Long usedExamTime;

	/**
	 * 题目数量
	 */
	private Integer totalQuestionCount;
	/**
	 * 答对数量
	 */
	private Integer succQuestionNum;
	/**
	 * 答错数量
	 */
	private Integer failQuestionNum;
	/**
	 * 未作答
	 */
	private Integer notAnsweredCount;
	/**
	 * 客观题正确率
	 */
	private Double objectiveAccuracy;
	/**
	 * 客观题数量
	 */
	private Integer objectiveNum;
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	public Long getUsedExamTime() {
		return usedExamTime;
	}
	public void setUsedExamTime(Long usedExamTime) {
		this.usedExamTime = usedExamTime;
	}
	public Integer getTotalQuestionCount() {
		return totalQuestionCount;
	}
	public void setTotalQuestionCount(Integer totalQuestionCount) {
		this.totalQuestionCount = totalQuestionCount;
	}
	public Integer getSuccQuestionNum() {
		return succQuestionNum;
	}
	public void setSuccQuestionNum(Integer succQuestionNum) {
		this.succQuestionNum = succQuestionNum;
	}
	public Integer getFailQuestionNum() {
		return failQuestionNum;
	}
	public void setFailQuestionNum(Integer failQuestionNum) {
		this.failQuestionNum = failQuestionNum;
	}
	public Integer getNotAnsweredCount() {
		return notAnsweredCount;
	}
	public void setNotAnsweredCount(Integer notAnsweredCount) {
		this.notAnsweredCount = notAnsweredCount;
	}
	public Double getObjectiveAccuracy() {
		return objectiveAccuracy;
	}
	public void setObjectiveAccuracy(Double objectiveAccuracy) {
		this.objectiveAccuracy = objectiveAccuracy;
	}
	public Integer getObjectiveNum() {
		return objectiveNum;
	}
	public void setObjectiveNum(Integer objectiveNum) {
		this.objectiveNum = objectiveNum;
	}
	
}
