package cn.com.qmth.examcloud.core.oe.student.bean;

import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class SaveUploadedFileReq implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5983488494596822561L;
	@NotNull(message = "考生ID不能为空")
	@ApiModelProperty(required = true,value = "考生ID")
	private Long examStudentId;
	@NotNull(message = "考试记录DataID不能为空")
	@ApiModelProperty(required = true,value = "考试记录DataID")
	private Long examRecordDataId;
	@NotNull(message = "题号不能为空")
	@ApiModelProperty(required = true,value = "考试试题号")
	private Integer order;
	@NotNull(message = "文件路径（含文件名）不能为空")
	@ApiModelProperty(required = true,value = "文件路径（含文件名）")
	private String filePath;
	@ApiModelProperty(required = true,value = "传输文件类型（用于标识，通过二维码传输文件的类型）")
	private String transferFileType;
	public Long getExamStudentId() {
		return examStudentId;
	}
	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Integer getOrder() {
		return order;
	}
	public void setOrder(Integer order) {
		this.order = order;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getTransferFileType() {
		return transferFileType;
	}

	public void setTransferFileType(String transferFileType) {
		this.transferFileType = transferFileType;
	}
}
