package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordDataEntity;


public interface ExamRecordForMarkingService {

	/**
	 * 保存阅卷相关数据-对外
	 * @param examRecordData
	 * @param objectiveQuestionTotalScore
	 */
	public void saveExamRecordForMarking(Long examRecordDataId);
	
	/**
	 * 在线考试-保存阅卷相关数据-对内
	 * @param examRecordData
	 * @param objectiveQuestionTotalScore
	 */
	public void saveExamRecordForMarking(ExamRecordDataEntity examRecordData,double objectiveQuestionTotalScore);
	
	/**
	 * 离线考试-保存阅卷相关数据-对内
	 * @param examRecordData
	 * @param fileName
	 * @param fileUrl
	 */
	public void saveOffLineExamRecordForMarking(ExamRecordDataEntity examRecordData,String fileName,String fileUrl);
}
