package cn.com.qmth.examcloud.core.oe.student.service;

import java.io.File;
import java.util.List;

import cn.com.qmth.examcloud.core.oe.student.bean.OfflineExamCourseInfo;


/**
 * 
 * @author  	chenken
 * @date    	2018年9月5日 上午10:35:18
 * @company 	QMTH
 * @description 离线考试服务接口
 */
public interface OfflineExamService {
	
	/**
	 * 获取待考课程列表
	 * @param studentId
	 * @return
	 */
	public List<OfflineExamCourseInfo> getOfflineCourse(Long studentId);

	/**
	 * 开始离线考试
	 * @param token
	 * @param examStudentId
	 * @param studentId
	 * @return
	 */
	public void startOfflineExam(Long examStudentId);
	
	/**
	 * 上传作答
	 * @param examRecordDataId
	 * @param tempFile
	 * @param fileType
	 */
	public void submitPaper(Long examRecordDataId,File tempFile)  throws Exception;

	public void downOfflineExam();
}
