package cn.com.qmth.examcloud.core.oe.student.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.student.bean.PracticeCourseInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.PracticeDetailInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.PracticeRecordInfo;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月7日 上午11:04:59
 * @company 	QMTH
 * @description PracticeService.java
 */
public interface PracticeService {

	/**
	 * 练习课程列表
	 * @param examId
	 * @param studentId
	 * @return
	 */
	public List<PracticeCourseInfo> queryPracticeCourseList(Long examId,Long studentId);
	
	/**
	 * 课程练习记录详情
	 * @param examStudentId
	 * @return
	 */
	public List<PracticeRecordInfo> queryPracticeRecordList(Long examStudentId);
	
	/**
	 * 单次练习答题情况统计
	 * @return
	 */
	public PracticeDetailInfo getPracticeDetailInfo(Long examRecordDataId);
}
