package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月9日 下午4:52:40
 * @company 	QMTH
 * @description 交卷前置处理info
 */
public class EndExamPreInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -8434235190113801338L;

	private ExamRecordDataEntity examRecordData;
	
	private Long studentId;
	
	private Long usedExamTime;
	
	/**
	 * 无照片违纪
	 */
	private Boolean isNoPhotoAndIllegality;

	public ExamRecordDataEntity getExamRecordData() {
		return examRecordData;
	}

	public void setExamRecordData(ExamRecordDataEntity examRecordData) {
		this.examRecordData = examRecordData;
	}

	public Long getUsedExamTime() {
		return usedExamTime;
	}

	public void setUsedExamTime(Long usedExamTime) {
		this.usedExamTime = usedExamTime;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Boolean getIsNoPhotoAndIllegality() {
		return isNoPhotoAndIllegality;
	}

	public void setIsNoPhotoAndIllegality(Boolean isNoPhotoAndIllegality) {
		this.isNoPhotoAndIllegality = isNoPhotoAndIllegality;
	}
	
}
