package cn.com.qmth.examcloud.core.oe.student.bean;


import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @author chenken
 * @date 2018/8/14 16:27
 * @company QMTH
 * @description 考试会话信息
 */
public class ExamSessionInfo implements JsonSerializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 7271713913526550662L;
	private Long examId;
    /**
     * 考试记录DataID
     */
    private Long examRecordDataId;
    /**
     * 考生ID
     */
    private Long examStudentId;
    /**
     * 考试开始时间
     */
    private Long startTime;
    /**
     * 考试时长：毫秒
     */
    private Long examDuration;
    /**
     * 冻结时间：分钟
     */
    private Integer freezeTime;
    /**
     * 心跳次数
     */
    private Integer heartbeat;
    /**
     * 最后一次心跳时间
     */
    private Long lastHeartbeat;
    /**
     * 考试类型
     */
    private String examType;
    /**
     * 断点续考时间：分钟
     */
    private Integer examReconnectTime;
    /**
     * 课程代码
     */
    private String courseCode;
    /**
     * 试卷类型
     */
    private String paperType;
    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getExamDuration() {
        return examDuration;
    }

    public void setExamDuration(Long examDuration) {
        this.examDuration = examDuration;
    }

    public Integer getHeartbeat() {
        return heartbeat;
    }

    public void setHeartbeat(Integer heartbeat) {
        this.heartbeat = heartbeat;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Integer getExamReconnectTime() {
        return examReconnectTime;
    }

    public void setExamReconnectTime(Integer examReconnectTime) {
        this.examReconnectTime = examReconnectTime;
    }

    public Long getLastHeartbeat() {
        return lastHeartbeat;
    }

    public void setLastHeartbeat(Long lastHeartbeat) {
        this.lastHeartbeat = lastHeartbeat;
    }

    public Integer getFreezeTime() {
        return freezeTime;
    }

    public void setFreezeTime(Integer freezeTime) {
        this.freezeTime = freezeTime;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }
}
