package cn.com.qmth.examcloud.core.oe.student.bean;

import java.io.Serializable;
import java.util.Date;

import cn.com.qmth.examcloud.core.oe.common.enums.ExamRecordStatus;



/**
 * 离线考试课程
 * @author ting.yin
 *
 */
public class OfflineExamCourseInfo implements Serializable {

	private static final long serialVersionUID = 4102608764528925537L;

	private Long examId;

	private String examName;
	
	private String orgName;//学校名称

	private Long examStudentId;

	private String courseName;

	private String courseCode;

	private String courseLevel;

	private String studentCode;

	private String studentName;

	private Date startTime;// 考试时间范围开始时间

	private Date endTime; // 考试时间范围结束时间

	private String specialtyName;

	private Long examRecordDataId;
	
	private ExamRecordStatus status;//用于判断是否上传
	
	private String paperId;
	
	/**
	 * 是否有效
	 */
	private Boolean isvalid;
	
	private String offlineFileUrl;//答卷地址
	
	private String fileName;//答卷文件名

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Boolean getIsvalid() {
		return isvalid;
	}

	public void setIsvalid(Boolean isvalid) {
		this.isvalid = isvalid;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public ExamRecordStatus getStatus() {
		return status;
	}

	public void setStatus(ExamRecordStatus status) {
		this.status = status;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOfflineFileUrl() {
		return offlineFileUrl;
	}

	public void setOfflineFileUrl(String offlineFileUrl) {
		this.offlineFileUrl = offlineFileUrl;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

}
