package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Description 人脸活体检测结果
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class SaveFaceBiopsyResultResp implements JsonSerializable {
	private static final long serialVersionUID = 3996944262550668002L;

	@ApiModelProperty(value = "检测结果",required = true)
	private Boolean verifyResult;

	@ApiModelProperty(value = "错误消息",required = false)
	private String errorMessage;

	@ApiModelProperty(value = "是否结束考试",required = true)
	private Boolean  endExam;

	@ApiModelProperty(value = "是否需要下一次活检",required = true)
	private Boolean  needNextVerify;

	public Boolean getVerifyResult() {
		return verifyResult;
	}

	public void setVerifyResult(Boolean verifyResult) {
		this.verifyResult = verifyResult;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public Boolean getEndExam() {
		return endExam;
	}

	public void setEndExam(Boolean endExam) {
		this.endExam = endExam;
	}

	public Boolean getNeedNextVerify() {
		return needNextVerify;
	}

	public void setNeedNextVerify(Boolean needNextVerify) {
		this.needNextVerify = needNextVerify;
	}
}
