package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月27日 下午4:44:15
 * @company 	QMTH
 * @description StartExamInfo.java
 */
public class StartExamInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7964522965649314640L;
	
	private Long examRecordDataId;
	
	private String courseCode;
	
	private String courseName;
	
	private String studentCode;
	
	private String studentName;
	
	/**
	 * 考试时长
	 */
	private Integer duration;
	/**
	 * 活体检测开始分钟数
	 */
	private Integer faceVerifyMinute;
	
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
	public Integer getDuration() {
		return duration;
	}
	public void setDuration(Integer duration) {
		this.duration = duration;
	}
	public Integer getFaceVerifyMinute() {
		return faceVerifyMinute;
	}
	public void setFaceVerifyMinute(Integer faceVerifyMinute) {
		this.faceVerifyMinute = faceVerifyMinute;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getStudentCode() {
		return studentCode;
	}
	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	
}
