package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.bean.ExamSessionInfo;

/**
 * @author chenken
 * @date 2018/8/15 9:24
 * @company QMTH
 * @description 考试会话接口
 */
public interface ExamSessionInfoService {

    /**
     * 保存
     * @param key
     * @param examSessionInfo
     * @param timeout   秒
     */
    public void saveExamSessionInfo(Long studentId,ExamSessionInfo examSessionInfo,int timeout);

    /**
     * 获取
     * @param key
     * @return
     */
    public ExamSessionInfo getExamSessionInfo(Long studentId);

    /**
     * 删除
     * @param key
     */
    public void deleteExamSessionInfo(Long studentId);
}
